/*
 * constants.h: Compile-time constants and enums for pglatex_check and
 * pglatex_post, programs to compile LaTeX documents at
 * Project Gutenberg
 *
 * Version 1.1.0
 * Last Change: 08 June, 2008
 *
 *
 * Copyright (C) 2008
 *
 * Andrew D. Hwang (DP: adhere)
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 *
 *
 * pglatex is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * pglatex is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with pglatex; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef PGL_CONST
#define PGL_CONST
// recognized placeholder elements; UPDATE if types change
enum placeholder_type { NONE, BOILERPLATE, CREDITSLINE, LICENSELINE };

// don't run any compile command more than this many times successively,
// even if the user specifically asks (guards against, e.g., typos)
const int MAX_COUNT(15);

// with of comment box surrounding boilerplate
const unsigned int MAX_FILE_WIDTH(75);
#endif /* PGL_CONST */

